[inherit('sys$library:starlet','lib$spawn','smgdefs','smg$repaint_line',
'BB.PEN')]
module write_menu;

[global,asynchronous,unbound]                     
procedure write_menu(title,options:string);

{Write the argument string into the menu box on the bottom of the
 display.}

begin
  smg$erase_display(menu_display);
  smg$repaint_line(pasteboard,screen_rows-1);
  if (length(title) > 0) then
    smg$put_chars(menu_display,title+chr(0),1,1,1,smg$m_reverse);
  smg$put_chars(menu_display,options+chr(0));
end;

end.
